@font-face {
    font-family: "Kanit Medium";
    src: url("../fonts/Kanit/Kanit-Medium.ttf");
}

@font-face {
    font-family: "Kanit Itaic";
    src: url("../fonts/Kanit/Kanit-Italic.ttf");
}

@font-face {
    font-family: "Kanit Light";
    src: url("../fonts/Kanit/Kanit-Light.ttf");
}

@font-face {
    font-family: "Poly Reguler";
    src: url("../fonts/Poly/Poly-Regular.ttf");
}

@font-face {
    font-family: "Poppins Medium";
    src: url("../fonts/Poppins/Poppins-Bold.ttf");
}

@font-face {
    font-family: "Poppins Light";
    src: url("../fonts/Poppins/Poppins-Light.ttf");
}

@font-face {
    font-family: "Poppins Bold";
    src: url("../fonts/Poppins/Poppins-Bold.ttf");
}

@font-face {
    font-family: "Kalam Bold";
    src: url("../fonts/Kalam/Kalam-Bold.ttf");
}

html,
body {
    background: #1d2120;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

a {
    text-decoration: none;
    cursor: pointer;
}

/* Preloader */
.preload-wrapper {
    z-index: 9999999999;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #425c5a46;
    overflow: hidden;
}

#preloader_2 {
    position: relative;
    margin: 23% auto;
    width: 40px;
    height: 40px;
}

@media screen and (max-width: 1200px) {
    #preloader_2 {
        margin: 70% auto;
    }
}

#preloader_2 span {
    display: block;
    bottom: 0px;
    width: 20px;
    height: 20px;
    background: #425c5a;
    position: absolute;
}

#preloader_2 span:nth-child(1) {
    animation: preloader_2_1 1.5s infinite ease-in-out;
    -webkit-animation: preloader_2_1 1.5s infinite ease-in-out;
}

#preloader_2 span:nth-child(2) {
    left: 20px;
    animation: preloader_2_2 1.5s infinite ease-in-out;
    -webkit-animation: preloader_2_2 1.5s infinite ease-in-out;
}

#preloader_2 span:nth-child(3) {
    top: 0px;
    animation: preloader_2_3 1.5s infinite ease-in-out;
    -webkit-animation: preloader_2_3 1.5s infinite ease-in-out;
}

#preloader_2 span:nth-child(4) {
    top: 0px;
    left: 20px;
    animation: preloader_2_4 1.5s infinite ease-in-out;
    -webkit-animation: preloader_2_4 1.5s infinite ease-in-out;
}

@-keyframes preloader_2_1 {
    0% {
        -transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -transform: translateX(-20px) translateY(-10px) rotate(-180deg);
        border-radius: 20px;
        background: #425c5a;
    }

    80% {
        -transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }

    100% {
        -transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }
}

@-keyframes preloader_2_2 {
    0% {
        -transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -transform: translateX(20px) translateY(-10px) rotate(180deg);
        border-radius: 20px;
        background: #ffcea2;
    }

    80% {
        -transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }

    100% {
        -transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }
}

@-keyframes preloader_2_3 {
    0% {
        -transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -transform: translateX(-20px) translateY(10px) rotate(-180deg);
        border-radius: 20px;
        background: #ffcea2;
    }

    80% {
        -transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }

    100% {
        -transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }
}

@-keyframes preloader_2_4 {
    0% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -webkit-transform: translateX(20px) translateY(10px) rotate(180deg);
        border-radius: 20px;
        background: #425c5a;
    }

    80% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }

    100% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }
}

@-webkit-keyframes preloader_2_1 {
    0% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -webkit-transform: translateX(-20px) translateY(-10px) rotate(-180deg);
        border-radius: 20px;
        background: #425c5a;
    }

    80% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }

    100% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }
}

@-webkit-keyframes preloader_2_2 {
    0% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -webkit-transform: translateX(20px) translateY(-10px) rotate(180deg);
        border-radius: 20px;
        background: #ffcea2;
    }

    80% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }

    100% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }
}

@-webkit-keyframes preloader_2_3 {
    0% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -webkit-transform: translateX(-20px) translateY(10px) rotate(-180deg);
        border-radius: 20px;
        background: #ffcea2;
    }

    80% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }

    100% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(-360deg);
        border-radius: 0px;
    }
}

@-webkit-keyframes preloader_2_4 {
    0% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(0deg);
        border-radius: 0px;
    }

    50% {
        -webkit-transform: translateX(20px) translateY(10px) rotate(180deg);
        border-radius: 20px;
        background: #425c5a;
    }

    80% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }

    100% {
        -webkit-transform: translateX(0px) translateY(0px) rotate(360deg);
        border-radius: 0px;
    }
}
/* end Pre loader */

main {
    display: flex;
    width: 100%;
    align-items: stretch;
}

.content-list {
    width: 100%;
    padding: 0px;
    min-height: 100vh;
    transition: all 0.3s;
}

.sidebar {
    min-width: 5.5rem;
    max-width: 5.5rem;
    background: #495058;
    transition: all 0.3s;
    padding: 0rem;
}

.sidebar-header {
    color: #bababa;
    font-size: 0.8rem;
    text-align: center;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

.sidebar-header img {
    width: 90%;
    margin-bottom: 0.4rem;
}

.a-sidebar {
    color: #bababa;
    flex: 0 0 auto;
}

.a-sidebar:hover {
    color: #bababa;
}

.a-sidebar p {
    font-size: 0.7rem;
    font-family: "Kanit Medium";
}

.icon-sidebar-logo {
    content: url("../icon/icon-ahm-40.svg");
    width: 90%;
}

.card-sidebar {
    text-align: center;
    padding: 0.7rem 0.5rem;
    margin-bottom: 5px;
}

.active .card-sidebar,
.card-sidebar:hover {
    background: #636970;
}

.card-sidebar p {
    color: #9c9c9c;
    font-size: 0.8rem;
    margin: 0rem;
}

.active .card-sidebar p,
.card-sidebar:hover p {
    color: #ffffff;
}

/* Style Icon Sidebar */
.icon-traceability {
    content: url("../icon/icon-traceability.svg");
    width: 40%;
}

.active .card-sidebar .icon-traceability,
.card-sidebar:hover .icon-traceability {
    content: url("../icon/icon-traceability-a.svg");
    width: 40%;
}

.icon-machine-layout {
    content: url("../icon/icon-machine-layout.svg");
    width: 40%;
}

.active .card-sidebar .icon-machine-layout,
.card-sidebar:hover .icon-machine-layout {
    content: url("../icon/icon-machine-layout.svg");
    width: 40%;
}

.icon-mqtt {
    content: url("../icon/icon-mqtt.svg");
    width: 40%;
}

.active .card-sidebar .icon-mqtt,
.card-sidebar:hover .icon-mqtt {
    content: url("../icon/icon-mqtt.svg");
    width: 40%;
}
/* End Style Icon Sidebar */

.title-navbar {
    font-family: "Kanit Medium";
    font-weight: bold;
    font-size: 1.5rem;
    color: #ffffff;
    margin: 0rem;
}

.title-navbar.no-bold {
    font-weight: normal;
    font-size: 1.3rem;
}

.navbar {
    background: #2f2f2f;
    height: 6vh;
    padding: 0.5rem 1rem;
}

.content {
    width: 100%;
    height: 94vh;
    padding: 0.5rem;
}

.icon-ahm {
    content: url("../icon/logo-ahm-text.svg");
    width: 7rem;
    margin-left: 1rem;
}

figure {
    margin: 0rem;
}

.form-control:focus {
    box-shadow: none !important;
}

.btn-save {
    background: #495058;
    border: 1px solid #495058;
    color: #ffffff;
}

.btn-save:hover {
    background: #ffffff !important;
    color: #495058 !important;
    border: 1px solid #495058 !important;
}

.btn-cancel {
    background: #9c9c9c;
    border: 1px solid #9c9c9c;
    color: #ffffff;
}

.btn-cancel:hover {
    background: #ffffff !important;
    color: #9c9c9c !important;
    border: 1px solid #9c9c9c !important;
}

.modal-header {
    text-align: center;
    background: #495058;
    color: #ffffff;
    justify-content: center;
}
